var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
export var LayoutContext = React.createContext({
    padding: undefined,
    spaces: undefined,
    arrayDivision: undefined,
    omitNull: undefined,
    // omitElements: [null, React.Fragment],
    // omitElements: React.Fragment,
    debug: false,
    debugColor: undefined,
});
LayoutContext.displayName = 'LayoutContext';
export var LayoutProvider = function (_a) {
    var children = _a.children, props = __rest(_a, ["children"]);
    return (React.createElement(LayoutContext.Provider, { value: props }, children));
};
